Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::FieldNotFound Struct Reference

Field not found inside a message. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::FieldNotFound:
[legend]
Collaboration diagram for FIX::FieldNotFound:
[legend]

List of all members.

## Public Member Functions

| FieldNotFound (int f=0, const std::string &what="")

## Public Attributes

int | field

## Detailed Description

Field not found inside a message.

Definition at line 57 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::FieldNotFound::FieldNotFound | ( | int | f = `0`,
|  | const std::string & | what = `""` |
| ) |  |  | `[inline]`

Definition at line 59 of file Exceptions.h.

    00060     : Exception( "Field not found", what ),
    00061                  field( f ) {}

## Member Data Documentation

int FIX::FieldNotFound::field

Definition at line 62 of file Exceptions.h.

Referenced by FIX::Session::next().

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h